lists

# Class: lamListTool

Source Location: /lib/lists.inc

### Class Overview

Represents a tool which can be included in the account lists.

#### Author(s):

- Roland Gruber

### Methods

- __construct
- getImage
- getLinkTarget
- getName

### Class Details

[line 935]
Represents a tool which can be included in the account lists.

#### Tags:

author: | Roland Gruber

[ Top ]

### Class Methods

### constructor __construct [line 949]

`lamListTool __construct( String $name, String $image, String $target)`

Constructor

#### Tags:

return: | tool object
access: | public

#### Parameters:

String | $name | tool name
String | $image | image file
String | $target | target page

[ Top ]

### method getImage [line 961]

`String getImage( )`

Returns the name of the tool image.

The image is returned without path (e.g. mytool.png). All images must reside in the graphics folder.

#### Tags:

return: | image name
access: | public

[ Top ]

### method getLinkTarget [line 981]

`String getLinkTarget( )`

Returns the PHP file (relative to 'templates/lists') which will be the target for this tool.

The target page will be opened with two GET parameters: DN and type (e.g. user)

#### Tags:

return: | page file (e.g. 'mytool.php')
access: | public

[ Top ]

### method getName [line 971]

`String getName( )`

Returns the tool name.

This is used for the tool tip.

#### Tags:

return: | name
access: | public

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:53:01 +0200 by phpDocumentor 1.4.1